Subject: Re: [PATCH] prune: --expire=time

From: Matthias Lederhofer <[email-masked]>
Date: Sun, 21 Jan 2007 11:37:24 +0100

Junio C Hamano <[email-masked]> wrote:
> I am considering to commit the attached instead.
Looks fine.  Just one question:  You said normally unsigned long would
be used for time_t but time_t itself seems to be signed.  Using
unsigned long instead of int for prune_grace_period (which is used as
time_t here) results in 'warning: comparison between signed and
unsigned'.  Perhaps you want to change it here anyway to be consistent
with the rest of the code (approxidate returns unsigned long too).